Bug 492641 - deprecation warning
deprecation warning
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-gdata (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 15:34 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 15:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-03-27 15:34:43 EDT
Description of problem:

/usr/lib/python2.6/site-packages/gdata/tlslite/utils/cryptomath.py:9: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import sha

(noticed when running totem)

Version-Release number of selected component (if applicable):

python-gdata-1.2.4-2.fc11.noarch

How reproducible:

100%

Steps to Reproduce:
1. Run totem (with youtube plugin active)
Comment 1 Bastien Nocera 2009-04-29 07:01:52 EDT
Known upstream issue:
http://code.google.com/p/gdata-python-client/issues/detail?id=236

Fix building.
Comment 2 Fedora Update System 2009-04-29 07:11:32 EDT
python-gdata-1.3.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-gdata-1.3.1-2.fc11
Comment 3 Fedora Update System 2009-05-09 00:05:13 EDT
python-gdata-1.3.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-gdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4429
Comment 4 Fedora Update System 2009-05-27 15:08:37 EDT
python-gdata-1.3.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.